Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/PersistenceDevelTool.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/PersistenceDevelTool.java	(revision 0)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/PersistenceDevelTool.java	(revision 38564)
@@ -0,0 +1,245 @@
+package org.gvsig.app.extension.develtools;
+
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.Comparator;
+import java.util.List;
+import java.util.Set;
+import java.util.TreeSet;
+
+import org.gvsig.tools.ToolsLocator;
+import org.gvsig.tools.dataTypes.DataTypesManager;
+import org.gvsig.tools.dynobject.DynField;
+import org.gvsig.tools.dynobject.DynStruct;
+import org.gvsig.tools.persistence.PersistenceFactory;
+import org.gvsig.tools.persistence.PersistenceManager;
+import org.gvsig.tools.persistence.Persistent;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager;
+import org.slf4j.Logger;
+import org.slf4j.LoggerFactory;
+
+public class PersistenceDevelTool {
+	private static Logger logger = LoggerFactory.getLogger(PersistenceDevelTool.class);
+
+	public void showPersistenceFactories() {
+		String html = this.getPersistenceFactories();
+		InfoPanel.save2file("persistenceinfo", html);
+		InfoPanel.showPanel("Persistence factories", WindowManager.MODE.WINDOW, html);
+	}
+	
+
+	public class PersistenceInfo implements Comparable<PersistenceInfo> {
+		PersistenceFactory factory;
+		@SuppressWarnings("rawtypes")
+		Class theClass;
+		DynStruct definition;
+
+		PersistenceInfo(PersistenceFactory factory,
+				@SuppressWarnings("rawtypes") Class theClass,
+				DynStruct definition) {
+			this.factory = factory;
+			this.theClass = theClass;
+			this.definition = definition;
+		}
+
+		String getDefinitionName() {
+			if (definition == null) {
+				return "";
+			}
+			return definition.getFullName();
+		}
+
+		String getDefinitionDescription() {
+			if (definition == null) {
+				return "";
+			}
+			return definition.getDescription();
+		}
+
+		String getClassName() {
+			if (theClass == null) {
+				return "";
+			}
+			return theClass.getName();
+		}
+
+		String getFactoryName() {
+			if (factory == null) {
+				return "";
+			}
+			return factory.getClass().getName();
+		}
+
+		public int compareTo(PersistenceInfo other) {
+			int r = this.factory.getClass().getName()
+					.compareTo(other.factory.getClass().getName());
+			if (r == 0) {
+				return this.theClass.getName().compareTo(
+						other.theClass.getName());
+			}
+			return r;
+		}
+	}
+
+	@SuppressWarnings("rawtypes")
+	public class ClassComparator implements Comparator {
+
+		public int compare(Object o1, Object o2) {
+			if (o1 == null || o2 == null || ((Class) o1).getName() == null) {
+				logger.warn("Esto no deberia estar pasando.");
+				return 0; // FIXME
+			}
+			return ((Class) o1).getName().compareTo(((Class) o2).getName());
+		}
+
+	}
+
+	@SuppressWarnings({ "unchecked", "rawtypes" })
+	public String getPersistenceFactories() {
+		int warningsCounter = 0;
+		List<PersistenceInfo> classes = new ArrayList<PersistenceInfo>();
+		Set<Class> referencedClasses = new TreeSet<Class>(new ClassComparator());
+
+		PersistenceManager manager = ToolsLocator.getPersistenceManager();
+
+		List<PersistenceFactory> factories = manager.getFactories();
+		for (PersistenceFactory factory : factories) {
+			List<Class> theClasses = factory.getManagedClasses();
+			for (Class theClass : theClasses) {
+
+				DynStruct definition = manager.getDefinition(theClass);
+				List defs = factory.getDefinitions();
+				if (definition == null && defs != null && !defs.isEmpty()) {
+					for (int i = 0; i < defs.size(); i++) {
+						definition = (DynStruct) defs.get(i);
+						classes.add(new PersistenceInfo(factory, theClass,
+								definition));
+					}
+				} else {
+					classes.add(new PersistenceInfo(factory, theClass,
+							definition));
+				}
+			}
+		}
+		Collections.sort(classes);
+
+		StringBuffer buffer = new StringBuffer();
+		StringBuffer warnings = new StringBuffer();
+
+		buffer.append("<html>\n");
+		buffer.append("<body>\n");
+		buffer.append("<h2>Supported persistent classes</h2>\n");
+		buffer.append("<br>\n");
+
+		buffer.append("<ol>\n");
+		for (PersistenceInfo classInfo : classes) {
+			StringBuffer classBuffer = new StringBuffer();
+			boolean warning = false;
+			classBuffer.append("  <li>\n    ");
+			classBuffer.append("Class: <i>");
+			classBuffer.append(classInfo.getClassName());
+			classBuffer.append("</i><br>\n    Persistent: <i>");
+			if (Persistent.class.isAssignableFrom(classInfo.theClass)) {
+				classBuffer.append(" yes.");
+			} else {
+				classBuffer.append(" through a factory.");
+			}
+			classBuffer.append("<br>\n    Factory: <i>");
+			classBuffer.append(classInfo.getFactoryName()).append(
+					"</i><br>\n    Definition name: <i>");
+			classBuffer.append(classInfo.getDefinitionName()).append(
+					"</i><br>\n    Description: \n");
+			classBuffer.append(classInfo.getDefinitionDescription()).append(
+					"<br>\n    ");
+			DataTypesManager dataTypesManager = ToolsLocator
+					.getDataTypesManager();
+			DynStruct definition = classInfo.definition;
+			if (definition == null) {
+				classBuffer.append("Definition for ")
+						.append(classInfo.getClassName())
+						.append(" is null.<br>\n    ");
+				warningsCounter++;
+				warning = true;
+			} else {
+				DynField[] fields = definition.getDynFields();
+				for (int i = 0; i < fields.length; i++) {
+					DynField field = fields[i];
+					if (dataTypesManager.isContainer(field.getType())) {
+						if (field.getClassOfItems() == null) {
+							classBuffer
+									.append("Field <b>")
+									.append(field.getName())
+									.append("</b>, container,  can't has class for value of items.<br>\n    ");
+							warningsCounter++;
+							warning = true;
+						} else {
+							classBuffer.append("Field ")
+									.append(field.getName())
+									.append(", container of '")
+									.append(field.getClassOfItems().getName())
+									.append("'.<br>\n    ");
+							referencedClasses.add(field.getClassOfItems());
+						}
+					} else if (dataTypesManager.isObject(field.getType())) {
+						if (field.getClassOfValue() == null) {
+							classBuffer
+									.append("Field <b>")
+									.append(field.getName())
+									.append("</b> can't has class of value.<br>\n    ");
+							warningsCounter++;
+							warning = true;
+						} else {
+							classBuffer.append("Field ")
+									.append(field.getName()).append(" of '")
+									.append(field.getClassOfValue())
+									.append("'.<br>\n    ");
+							referencedClasses.add(field.getClassOfValue());
+						}
+					}
+				}
+			}
+			classBuffer.append("<br>\n  </li>\n");
+			buffer.append(classBuffer);
+			if (warning) {
+				warnings.append(classBuffer);
+			}
+		}
+		buffer.append("</ol>\n");
+		buffer.append("<br>\n");
+		buffer.append("<br>\n");
+
+		buffer.append("<h2>Persistent classes with problems</h2>\n");
+		buffer.append("<ol>\n");
+		buffer.append(warnings);
+		buffer.append("</ol>\n");
+		buffer.append("<br>\n<p>Total warnigs: ").append(warningsCounter)
+				.append("</p>");
+
+		buffer.append("<h2>Not persistents used classes</h2>\n");
+		buffer.append("<ol>\n");
+		for (Class theClass : referencedClasses) {
+			// if( manager.canPersist(theClass) ) {
+			// continue;
+			// }
+			if (Persistent.class.isAssignableFrom(theClass)) {
+				continue;
+			}
+			if (manager.getFactories().get(theClass) != null) {
+				continue;
+			}
+			buffer.append("  <li>\n");
+			buffer.append("    <i>").append(theClass.getName())
+					.append("</i><br>\n");
+			buffer.append("  </li>\n");
+			warningsCounter++;
+		}
+		buffer.append("</ol>\n");
+
+		buffer.append("</body>\n");
+		buffer.append("</html>\n");
+
+		return buffer.toString();
+	}
+
+
+}

Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/MenusDevelTool.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/MenusDevelTool.java	(revision 0)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/MenusDevelTool.java	(revision 38564)
@@ -0,0 +1,119 @@
+package org.gvsig.app.extension.develtools;
+
+import java.util.Collections;
+import java.util.Comparator;
+import java.util.List;
+
+import org.gvsig.andami.Launcher;
+import org.gvsig.andami.Launcher.PluginMenuItem;
+import org.gvsig.andami.actioninfo.ActionInfo;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager;
+
+public class MenusDevelTool {
+	public void showAllMenus() {
+		String html = this.getAllMenus();
+		InfoPanel.save2file("menusinfo", html);
+		InfoPanel.showPanel("Menu information", WindowManager.MODE.WINDOW, html);
+	}
+	public void showAllMenusByPlugin() {
+		String html = this.getAllMenusByPlugin();
+		InfoPanel.save2file("menusbyplugininfo", html);
+		InfoPanel.showPanel("Menu by plugin information", WindowManager.MODE.WINDOW, html);
+	}
+	
+	public String getAllMenus() {
+		Launcher launcher = Launcher.getInstance();
+		List<PluginMenuItem> menuItems = launcher.getPluginMenuItems();
+		
+		return this.getAllMenus(menuItems);
+	}
+	
+	public String getAllMenusByPlugin() {
+		Launcher launcher = Launcher.getInstance();
+		List<PluginMenuItem> menuItems = launcher.getPluginMenuItems();
+		
+		Collections.sort(menuItems, new Comparator<PluginMenuItem>() {
+			public int compare(PluginMenuItem o1, PluginMenuItem o2) {
+				String s1 = String.format("%s:%012d:%s", o1.getPluginName(), o1.getPosition(), o1.getText());
+				String s2 = String.format("%s:%012d:%s", o2.getPluginName(), o2.getPosition(), o2.getText());
+				return s1.compareTo(s2);
+			}
+		});
+		return this.getAllMenus(menuItems);
+	}
+	
+	private String getAllMenus(List<PluginMenuItem> menuItems) {
+		StringBuffer buffer = new StringBuffer();
+
+//		String warning_open = "<b>";
+//		String warning_close = "</b>";
+		
+		String error_open = "<b><font color=\"red\">";
+		String error_close = "</font></b>";
+		
+		buffer.append("<html>\n");
+		buffer.append("<body>\n");
+		buffer.append("<h2>Menu information </h2>\n");
+		buffer.append("<br>\n");
+		
+		buffer.append("<table border=\"0\">\n");
+		buffer.append("  <tr>\n");
+		buffer.append("    <td>Position</td>\n");
+		buffer.append("    <td>Text</td>\n");
+		buffer.append("    <td>Action</td>\n");
+		buffer.append("    <td>Plugin</td>\n");
+		buffer.append("  </tr>\n");
+
+		
+		for (PluginMenuItem menu : menuItems) {
+			buffer.append("  <tr valign=\"top\">\n");
+			buffer
+				.append("    <td>")
+				.append(String.format("%012d", menu.getPosition()))
+				.append("</td>\n");			
+			buffer
+				.append("    <td>")
+				.append(menu.getText())
+				.append("</td>\n");		
+			if( menu.isParent() ) {
+				buffer
+					.append("    <td>")
+					.append("----")
+					.append("</td>\n");
+				buffer
+					.append("    <td>")
+					.append(menu.getPluginName())
+					.append("</td>\n");			
+			} else {
+				ActionInfo action = menu.getAction();
+				if( action == null ) {
+					buffer
+						.append("    <td>")
+						.append(error_open)
+						.append(menu.getName())
+						.append(error_close)
+						.append("</td>\n");
+					buffer
+						.append("    <td>")
+						.append(menu.getPluginName())
+						.append("</td>\n");			
+				} else {
+					buffer
+						.append("    <td>")
+						.append(action.getName())
+						.append("</td>\n");
+					buffer
+						.append("    <td>")
+						.append(action.getPluginName())
+						.append("</td>\n");			
+				}
+			}
+			buffer.append("  </tr>\n");
+		}
+		buffer.append("</table>\n");
+		buffer.append("</body>\n");
+		buffer.append("</html>\n");
+
+		return buffer.toString();
+	}
+}

Index: branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/IconThemeDevelTool.java
===================================================================
--- branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/IconThemeDevelTool.java	(revision 0)
+++ branches/v2_0_0_prep/applications/appgvSIG/src/org/gvsig/app/extension/develtools/IconThemeDevelTool.java	(revision 38564)
@@ -0,0 +1,535 @@
+package org.gvsig.app.extension.develtools;
+
+import java.util.ArrayList;
+import java.util.Collections;
+import java.util.Comparator;
+import java.util.HashSet;
+import java.util.Iterator;
+import java.util.List;
+import java.util.Set;
+
+import javax.swing.ImageIcon;
+
+import org.gvsig.andami.PluginsLocator;
+import org.gvsig.andami.actioninfo.ActionInfo;
+import org.gvsig.tools.swing.api.ToolsSwingLocator;
+import org.gvsig.tools.swing.api.windowmanager.WindowManager;
+import org.gvsig.tools.swing.icontheme.IconTheme;
+import org.gvsig.tools.swing.icontheme.IconThemeManager;
+
+public class IconThemeDevelTool {
+
+	public void showDefaultIconTheme() {
+		String html = this.getIconThemeInformationByGroup();
+		InfoPanel.save2file("iconthemeinfo", html);
+		InfoPanel.showPanel("Icon theme information", WindowManager.MODE.WINDOW, html);
+	}
+
+	public void showDefaultIconThemeByPlugin() {
+		String html = this.getIconThemeInformationByPlugin();
+		InfoPanel.save2file("iconthemeinfo", html);
+		InfoPanel.showPanel("Icon theme information", WindowManager.MODE.WINDOW, html);
+	}
+
+	private String getIconThemeInformationByPlugin() {
+		IconThemeManager manager = ToolsSwingLocator.getIconThemeManager();
+		IconTheme theme = manager.getDefault();
+		
+		List<IconTheme.Icon>themeIcons = new ArrayList<IconTheme.Icon>();
+		Iterator<IconTheme.Icon> themeIconsIt = theme.getThemeIcons();
+		while (themeIconsIt.hasNext()) {
+			themeIcons.add(themeIconsIt.next());
+		}
+		Collections.sort(themeIcons, new Comparator<IconTheme.Icon>() {
+			public int compare(IconTheme.Icon o1, IconTheme.Icon o2) {
+				String s1 = String.format("%s:%s:%s", o1.getProviderName(), o1.getGroup(), o1.getName());
+				String s2 = String.format("%s:%s:%s", o2.getProviderName(), o2.getGroup(), o2.getName());
+				return s1.compareTo(s2);
+			}
+		});
+		themeIconsIt = themeIcons.iterator();
+		return getIconThemeInformation(theme, themeIconsIt);
+	}
+	
+	private String getIconThemeInformationByGroup() {
+		IconThemeManager manager = ToolsSwingLocator.getIconThemeManager();
+		IconTheme theme = manager.getDefault();
+		
+		List<IconTheme.Icon>themeIcons = new ArrayList<IconTheme.Icon>();
+		Iterator<IconTheme.Icon> themeIconsIt = theme.getThemeIcons();
+		while (themeIconsIt.hasNext()) {
+			themeIcons.add(themeIconsIt.next());
+		}
+		Collections.sort(themeIcons, new Comparator<IconTheme.Icon>() {
+			public int compare(IconTheme.Icon o1, IconTheme.Icon o2) {
+				String s1 = String.format("%s:%s:%s", o1.getGroup(), o1.getName(), o1.getProviderName());
+				String s2 = String.format("%s:%s:%s", o2.getGroup(), o2.getName(), o2.getProviderName());
+				return s1.compareTo(s2);
+			}
+		});
+		themeIconsIt = themeIcons.iterator();
+		return getIconThemeInformation(theme,themeIconsIt);
+	}
+
+	private String getIconThemeInformation(IconTheme theme, Iterator<IconTheme.Icon> themeIconsIt) {
+		Set<String> actionIcons = new HashSet<String>();
+		Iterator<ActionInfo> actions = PluginsLocator.getActionInfoManager().getActions(); 
+		while (actions.hasNext()) {
+			ActionInfo action = actions.next();
+			if( action.getIconName()!=null ) {
+				actionIcons.add(action.getIconName());
+			}
+		}
+		Set<String> tangoIconNames = getTangoIconNames();
+		
+		StringBuffer buffer = new StringBuffer();
+
+		String warning_open = "<b>";
+		String warning_close = "</b>";
+		
+		String error_open = "<b><font color=\"red\">";
+		String error_close = "</font></b>";
+
+		String tangoicon_open = "<b><font color=\"green\">";
+		String tangoicon_close = "</font></b>";
+		
+		String previousPluginName = null;
+
+		buffer.append("<html>\n");
+		buffer.append("<body>\n");
+		buffer.append("<h2>Icon theme information</h2>\n");
+		buffer.append("<br>\n");
+		buffer.append("Theme: ");
+		buffer.append(theme.getName());
+		buffer.append("<br>\n");
+		buffer.append("Description: ");
+		buffer.append(theme.getDescription());
+		buffer.append("<br>\n");
+
+		buffer.append("<table border=\"0\">\n");
+		buffer.append("  <tr>\n");
+		buffer.append("    <td>Preview</td>\n");
+		buffer.append("    <td>Group</td>\n");
+		buffer.append("    <td>Name</td>\n");
+		buffer.append("    <td>Plugin</td>\n");
+		buffer.append("    <td>Resource</td>\n");
+		buffer.append("  </tr>\n");
+		
+		
+		while (themeIconsIt.hasNext()) {
+			IconTheme.Icon themeIcon = themeIconsIt.next();
+			if( previousPluginName!=null && !themeIcon.getProviderName().equals(previousPluginName) ) {
+				buffer
+					.append("  <tr>\n")
+					.append("    <td colspan=\"4\"><hr></td>\n")
+					.append("  </tr>\n");
+				previousPluginName = themeIcon.getProviderName();
+			}
+			
+			buffer.append("  <tr valign=\"top\">\n");
+			
+			// Preview			
+			if( themeIcon.getLabel().length()>0 && themeIcon.getImageIcon()!=null ) {
+				try {
+					ImageIcon img = themeIcon.getImageIcon();
+					if( img.getIconHeight() > 48 || img.getIconWidth() > 48 ) {
+						buffer
+							.append("    <td nowrap>")
+							.append("<img width=\"48\" height=\"48\" src=\"")
+							.append(themeIcon.getLabel())
+							.append("\">(*)</td>");
+					} else {
+						buffer
+							.append("    <td>")
+							.append("<img src=\"")
+							.append(themeIcon.getLabel())
+							.append("\"></td>");
+					}
+				} catch(Exception ex) {
+					buffer
+						.append("    <td>")
+						.append("<img src=\"")
+						.append(themeIcon.getLabel())
+						.append("\"></td>");
+				}
+			} else {
+				buffer.append("    <td></td>");
+			}
+		
+			// Group
+			if( themeIcon.getGroup()==null ) {
+				buffer.append("    <td title=\"missing recomended group\">")
+					.append(warning_open)
+					.append(themeIcon.getGroup())
+					.append(warning_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(themeIcon.getGroup())
+					.append("</td>\n");
+			}
+
+			// Name
+			if( "action".equals(themeIcon.getGroup()) && !actionIcons.contains(themeIcon.getName())) {
+				buffer.append("    <td title=\"Don't exists an action associated to this icon\">")
+					.append(error_open)
+					.append(themeIcon.getName())
+					.append(error_close)
+					.append("</td>\n");
+			} else if( !themeIcon.getName().contains("-") ) {
+				buffer.append("    <td title=\"Name don't have recomended format\">")
+					.append(warning_open)
+					.append(themeIcon.getName())
+					.append(warning_close)
+					.append("</td>\n");
+			} else if( tangoIconNames.contains(themeIcon.getName()) ){
+				buffer.append("    <td>")
+					.append(tangoicon_open)
+					.append(themeIcon.getName())
+					.append(tangoicon_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(themeIcon.getName())
+					.append("</td>\n");
+			}
+
+			// Plugin
+			if( themeIcon.getProviderName()== null ) {
+				buffer.append("    <td title=\"missing recomended associated plugin\">")
+					.append(warning_open)
+					.append(themeIcon.getProviderName())
+					.append(warning_close)
+					.append("</td>\n");
+				
+			}  else {
+				buffer.append("    <td>")
+					.append(themeIcon.getProviderName())
+					.append("</td>\n");
+			}			
+			
+			// Resource
+			if( themeIcon.getLabel().length()<1 ) {
+				buffer.append("    <td title=\"Resource icon not specified\">")
+					.append(error_open)
+					.append("(missing)")
+					.append(error_close)
+					.append("</td>\n");
+			} else if( themeIcon.getImageIcon()==null ) {
+				buffer.append("    <td title=\"Can't locate icon\">")
+					.append(error_open)
+					.append(themeIcon.getLabel())
+					.append(error_close)
+					.append("</td>\n");
+			} else {
+				buffer.append("    <td>")
+					.append(themeIcon.getLabel())
+					.append("</td>\n");
+
+			}
+			buffer.append("  </tr>\n");
+		}
+		buffer.append("</table>\n");
+		buffer.append("</body>\n");
+		buffer.append("</html>\n");
+
+		return buffer.toString();
+	}
+
+	private Set<String> getTangoIconNames() {
+		String[] iconNames = new String[] {
+				"address-book-new",
+				"application-exit",
+				"appointment-new",
+				"call-start",
+				"call-stop",
+				"contact-new",
+				"document-new",
+				"document-open",
+				"document-open-recent",
+				"document-page-setup",
+				"document-print",
+				"document-print-preview",
+				"document-properties",
+				"document-revert",
+				"document-save",
+				"document-save-as",
+				"document-send",
+				"edit-clear",
+				"edit-copy",
+				"edit-cut",
+				"edit-delete",
+				"edit-find",
+				"edit-find-replace",
+				"edit-paste",
+				"edit-redo",
+				"edit-select-all",
+				"edit-undo",
+				"folder-new",
+				"format-indent-less",
+				"format-indent-more",
+				"format-justify-center",
+				"format-justify-fill",
+				"format-justify-left",
+				"format-justify-right",
+				"format-text-direction-ltr",
+				"format-text-direction-rtl",
+				"format-text-bold",
+				"format-text-italic",
+				"format-text-underline",
+				"format-text-strikethrough",
+				"go-bottom",
+				"go-down",
+				"go-first",
+				"go-home",
+				"go-jump",
+				"go-last",
+				"go-next",
+				"go-previous",
+				"go-top",
+				"go-up",
+				"help-about",
+				"help-contents",
+				"help-faq",
+				"insert-image",
+				"insert-link",
+				"insert-object",
+				"insert-text",
+				"list-add",
+				"list-remove",
+				"mail-forward",
+				"mail-mark-important",
+				"mail-mark-junk",
+				"mail-mark-notjunk",
+				"mail-mark-read",
+				"mail-mark-unread",
+				"mail-message-new",
+				"mail-reply-all",
+				"mail-reply-sender",
+				"mail-send",
+				"mail-send-receive",
+				"media-eject",
+				"media-playback-pause",
+				"media-playback-start",
+				"media-playback-stop",
+				"media-record",
+				"media-seek-backward",
+				"media-seek-forward",
+				"media-skip-backward",
+				"media-skip-forward",
+				"object-flip-horizontal",
+				"object-flip-vertical",
+				"object-rotate-left",
+				"object-rotate-right",
+				"process-stop",
+				"system-lock-screen",
+				"system-log-out",
+				"system-run",
+				"system-search",
+				"system-reboot",
+				"system-shutdown",
+				"tools-check-spelling",
+				"view-fullscreen",
+				"view-refresh",
+				"view-restore",
+				"view-sort-ascending",
+				"view-sort-descending",
+				"window-close",
+				"window-new",
+				"zoom-fit-best",
+				"zoom-in",
+				"zoom-original",
+				"zoom-out",
+				"process-working",
+				"accessories-calculator",
+				"accessories-character-map",
+				"accessories-dictionary",
+				"accessories-text-editor",
+				"help-browser",
+				"multimedia-volume-control",
+				"preferences-desktop-accessibility",
+				"preferences-desktop-font",
+				"preferences-desktop-keyboard",
+				"preferences-desktop-locale",
+				"preferences-desktop-multimedia",
+				"preferences-desktop-screensaver",
+				"preferences-desktop-theme",
+				"preferences-desktop-wallpaper",
+				"system-file-manager",
+				"system-software-install",
+				"system-software-update",
+				"utilities-system-monitor",
+				"utilities-terminal",
+				"applications-accessories",
+				"applications-development",
+				"applications-engineering",
+				"applications-games",
+				"applications-graphics",
+				"applications-internet",
+				"applications-multimedia",
+				"applications-office",
+				"applications-other",
+				"applications-science",
+				"applications-system",
+				"applications-utilities",
+				"preferences-desktop",
+				"preferences-desktop-peripherals",
+				"preferences-desktop-personal",
+				"preferences-other",
+				"preferences-system",
+				"preferences-system-network",
+				"system-help",
+				"audio-card",
+				"audio-input-microphone",
+				"battery",
+				"camera-photo",
+				"camera-video",
+				"camera-web",
+				"computer",
+				"drive-harddisk",
+				"drive-optical",
+				"drive-removable-media",
+				"input-gaming",
+				"input-keyboard",
+				"input-mouse",
+				"input-tablet",
+				"media-flash",
+				"media-floppy",
+				"media-optical",
+				"media-tape",
+				"modem",
+				"multimedia-player",
+				"network-wired",
+				"network-wireless",
+				"pda",
+				"phone",
+				"printer",
+				"scanner",
+				"video-display",
+				"emblem-default",
+				"emblem-documents",
+				"emblem-downloads",
+				"emblem-favorite",
+				"emblem-important",
+				"emblem-mail",
+				"emblem-photos",
+				"emblem-readonly",
+				"emblem-shared",
+				"emblem-symbolic-link",
+				"emblem-synchronized",
+				"emblem-system",
+				"emblem-unreadable",
+				"face-angel",
+				"face-angry",
+				"face-cool",
+				"face-crying",
+				"face-devilish",
+				"face-embarrassed",
+				"face-kiss",
+				"face-laugh",
+				"face-monkey",
+				"face-plain",
+				"face-raspberry",
+				"face-sad",
+				"face-sick",
+				"face-smile",
+				"face-smile-big",
+				"face-smirk",
+				"face-surprise",
+				"face-tired",
+				"face-uncertain",
+				"face-wink",
+				"face-worried",
+				"flag-aa",
+				"application-x-executable",
+				"audio-x-generic",
+				"font-x-generic",
+				"image-x-generic",
+				"package-x-generic",
+				"text-html",
+				"text-x-generic",
+				"text-x-generic-template",
+				"text-x-script",
+				"video-x-generic",
+				"x-office-address-book",
+				"x-office-calendar",
+				"x-office-document",
+				"x-office-presentation",
+				"x-office-spreadsheet",
+				"folder",
+				"folder-remote",
+				"network-server",
+				"network-workgroup",
+				"start-here",
+				"user-bookmarks",
+				"user-desktop",
+				"user-home",
+				"user-trash",
+				"appointment-missed",
+				"appointment-soon",
+				"audio-volume-high",
+				"audio-volume-low",
+				"audio-volume-medium",
+				"audio-volume-muted",
+				"battery-caution",
+				"battery-low",
+				"dialog-error",
+				"dialog-information",
+				"dialog-password",
+				"dialog-question",
+				"dialog-warning",
+				"folder-drag-accept",
+				"folder-open",
+				"folder-visiting",
+				"image-loading",
+				"image-missing",
+				"mail-attachment",
+				"mail-unread",
+				"mail-read",
+				"mail-replied",
+				"mail-signed",
+				"mail-signed-verified",
+				"media-playlist-repeat",
+				"media-playlist-shuffle",
+				"network-error",
+				"network-idle",
+				"network-offline",
+				"network-receive",
+				"network-transmit",
+				"network-transmit-receive",
+				"printer-error",
+				"printer-printing",
+				"security-high",
+				"security-medium",
+				"security-low",
+				"software-update-available",
+				"software-update-urgent",
+				"sync-error",
+				"sync-synchronizing",
+				"task-due",
+				"task-past-due",
+				"user-available",
+				"user-away",
+				"user-idle",
+				"user-offline",
+				"user-trash-full",
+				"weather-clear",
+				"weather-clear-night",
+				"weather-few-clouds",
+				"weather-few-clouds-night",
+				"weather-fog",
+				"weather-overcast",
+				"weather-severe-alert",
+				"weather-showers",
+				"weather-showers-scattered",
+				"weather-snow",
+				"weather-storm"
+		};
+		Set<String> icons = new HashSet<String>();
+		for (int i = 0; i < iconNames.length; i++) {
+			icons.add(iconNames[i]);
+		}
+		return icons;
+	}
+
+}

